<template>
  <div class="payment-method">
    <div class="methods">
      <div class="method" :class="select==0?'selected':''" @click="selectMethod(0)">
        <img src="../assets/img/visa.png">
      </div>
      <div class="method" :class="select==1?'selected':''" @click="selectMethod(1)">
        <img src="../assets/img/mastercard.png" >
      </div>
      <div class="method" :class="select==2?'selected':''" @click="selectMethod(2)">
        <img src="../assets/img/momo.png">
      </div>
      <div class="method" :class="select==3?'selected':''" @click="selectMethod(3)">
        <img src="../assets/img/bank.png" >
      </div>
    </div>
    <p>{{ descriptions[select] }}</p>
  </div>
</template>

<script>
export default {
  name: "UserMenu",
  props: {
    modelValue: String,
  },
  data() {
    return{
      select: 0,
      methodName: [
        'Visa',
        'MasterCard',
        'Momo',
        'OnlineBanking'
      ],
      descriptions: [
        'Thanh toán qua Visa',
        'Thanh toán qua MasterCard',
        'Thanh toán qua ví MoMo',
        'Thanh toán qua ngân hàng nội địa',
      ],
    }
  },
  methods: {
    selectMethod(index){
      this.select = index
      this.$emit('update:modelValue', this.methodName[this.select])
    }
  }
}
</script>

<style scoped>
.payment-method{
  display: flex;
  flex-direction: column;
  margin-left: 20px;
}

.methods {
  display: flex;
  flex-direction: row;
}

.method {
  width: 48px;
  height: 32px;
  border-radius: 4px;
  overflow: hidden;
  margin-right: 20px;
  padding: 8px;  
  border: 1px solid #ccc;
  display: block;
}

.method > img {
  width: 100%;
  height: 100%;
  object-fit: fill;
}

.selected {
  border: 3px solid #2196F3;
}

p{
  margin: 0;
  margin-top: 10px;
  font-style: italic;
  font-size: 0.9em;
}
</style>
